# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Resource types

* [`dsc_sfauthenticationservice`](#dsc_sfauthenticationservice): The DSC SFAuthenticationService resource type. Automatically generated from version 0.9.6
* [`dsc_sfauthenticationservicemethod`](#dsc_sfauthenticationservicemethod): The DSC SFAuthenticationServiceMethod resource type. Automatically generated from version 0.9.6
* [`dsc_sfcluster`](#dsc_sfcluster): The DSC SFCluster resource type. Automatically generated from version 0.9.6
* [`dsc_sffeature`](#dsc_sffeature): The DSC SFFeature resource type. Automatically generated from version 0.9.6
* [`dsc_sfgateway`](#dsc_sfgateway): The DSC SFGateway resource type. Automatically generated from version 0.9.6
* [`dsc_sfstore`](#dsc_sfstore): The DSC SFStore resource type. Automatically generated from version 0.9.6
* [`dsc_sfstorefarm`](#dsc_sfstorefarm): The DSC SFStoreFarm resource type. Automatically generated from version 0.9.6
* [`dsc_sfstoreregistergateway`](#dsc_sfstoreregistergateway): The DSC SFStoreRegisterGateway resource type. Automatically generated from version 0.9.6
* [`dsc_sfstorewebreceiver`](#dsc_sfstorewebreceiver): The DSC SFStoreWebReceiver resource type. Automatically generated from version 0.9.6

## Resource types

### <a name="dsc_sfauthenticationservice"></a>`dsc_sfauthenticationservice`

The DSC SFAuthenticationService resource type.
Automatically generated from version 0.9.6

#### Properties

The following properties are available in the `dsc_sfauthenticationservice` type.

##### `dsc_ensure`

Data type: `Optional[Enum['Present', 'Absent']]`

 

##### `dsc_friendlyname`

Data type: `Optional[String]`

Authentication service friendly name

##### `dsc_siteid`

Data type: `Optional[Integer[0, 18446744073709551615]]`

Citrix Storefront Site Id

#### Parameters

The following parameters are available in the `dsc_sfauthenticationservice` type.

* [`dsc_psdscrunascredential`](#dsc_psdscrunascredential)
* [`dsc_virtualpath`](#dsc_virtualpath)
* [`name`](#name)
* [`validation_mode`](#validation_mode)

##### <a name="dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="dsc_virtualpath"></a>`dsc_virtualpath`

namevar

Data type: `String`

Citrix Storefront authentication service IIS Virtual Path

##### <a name="name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

### <a name="dsc_sfauthenticationservicemethod"></a>`dsc_sfauthenticationservicemethod`

The DSC SFAuthenticationServiceMethod resource type.
Automatically generated from version 0.9.6

#### Properties

The following properties are available in the `dsc_sfauthenticationservicemethod` type.

##### `dsc_authenticationmethods`

Data type: `Optional[Array[Enum['IntegratedWindows', 'HttpBasic', 'ExplicitForms', 'CitrixFederation', 'CitrixAGBasic', 'Certificate']]]`

 

##### `dsc_ensure`

Data type: `Optional[Enum['Present', 'Absent']]`

 

##### `dsc_excludeauthenticationmethods`

Data type: `Optional[Array[Enum['IntegratedWindows', 'HttpBasic', 'ExplicitForms', 'CitrixFederation', 'CitrixAGBasic', 'Certificate']]]`

 

##### `dsc_includeauthenticationmethods`

Data type: `Optional[Array[Enum['IntegratedWindows', 'HttpBasic', 'ExplicitForms', 'CitrixFederation', 'CitrixAGBasic', 'Certificate']]]`

 

#### Parameters

The following parameters are available in the `dsc_sfauthenticationservicemethod` type.

* [`dsc_psdscrunascredential`](#dsc_psdscrunascredential)
* [`dsc_virtualpath`](#dsc_virtualpath)
* [`name`](#name)
* [`validation_mode`](#validation_mode)

##### <a name="dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="dsc_virtualpath"></a>`dsc_virtualpath`

namevar

Data type: `String`

Citrix Storefront Authentication Service IIS Virtual Path

##### <a name="name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

### <a name="dsc_sfcluster"></a>`dsc_sfcluster`

The DSC SFCluster resource type.
Automatically generated from version 0.9.6

#### Properties

The following properties are available in the `dsc_sfcluster` type.

##### `dsc_ensure`

Data type: `Optional[Enum['Present', 'Absent']]`

 

##### `dsc_siteid`

Data type: `Optional[Integer[0, 18446744073709551615]]`

Citrix Storefront Site Id

#### Parameters

The following parameters are available in the `dsc_sfcluster` type.

* [`dsc_baseurl`](#dsc_baseurl)
* [`dsc_psdscrunascredential`](#dsc_psdscrunascredential)
* [`name`](#name)
* [`validation_mode`](#validation_mode)

##### <a name="dsc_baseurl"></a>`dsc_baseurl`

namevar

Data type: `String`

Storefront cluster base url

##### <a name="dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

### <a name="dsc_sffeature"></a>`dsc_sffeature`

The DSC SFFeature resource type.
Automatically generated from version 0.9.6

#### Properties

The following properties are available in the `dsc_sffeature` type.

##### `dsc_destinationpath`

Data type: `Optional[String]`

Installation directory path

##### `dsc_ensure`

Data type: `Optional[Enum['Present', 'Absent']]`

 

##### `dsc_macclientpath`

Data type: `Optional[String]`

Path to Mac Citrix Receiver .dmg file

##### `dsc_windowsclientpath`

Data type: `Optional[String]`

Path to Windows Citrix Receiver .exe file

#### Parameters

The following parameters are available in the `dsc_sffeature` type.

* [`dsc_credential`](#dsc_credential)
* [`dsc_path`](#dsc_path)
* [`dsc_psdscrunascredential`](#dsc_psdscrunascredential)
* [`name`](#name)
* [`validation_mode`](#validation_mode)

##### <a name="dsc_credential"></a>`dsc_credential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

Specifies a user account that has permission to access the installation file

##### <a name="dsc_path"></a>`dsc_path`

namevar

Data type: `String`

Path to Storefront installation executable

##### <a name="dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

### <a name="dsc_sfgateway"></a>`dsc_sfgateway`

The DSC SFGateway resource type.
Automatically generated from version 0.9.6

#### Properties

The following properties are available in the `dsc_sfgateway` type.

##### `dsc_callbackurl`

Data type: `Optional[String]`

NetScaler gateway authentication NetScaler call-back Url

##### `dsc_ensure`

Data type: `Optional[Enum['Present', 'Absent']]`

 

##### `dsc_logontype`

Data type: `Enum['UsedForHDXOnly', 'Domain', 'RSA', 'DomainAndRSA', 'SMS', 'GatewayKnows', 'SmartCard', 'None']`

Login type required and supported by the Gateway

##### `dsc_requesttickettwostas`

Data type: `Optional[Boolean]`

Request STA tickets from two STA servers (Requires two STA servers)

##### `dsc_secureticketauthorityurls`

Data type: `Optional[Array[String]]`

Secure Ticket Authority server Urls

##### `dsc_sessionreliability`

Data type: `Optional[Boolean]`

Enable session reliability

##### `dsc_smartcardfallbacklogontype`

Data type: `Optional[Enum['UsedForHDXOnly', 'Domain', 'RSA', 'DomainAndRSA', 'SMS', 'GatewayKnows', 'SmartCard', 'None']]`

Login type to use when SmartCard fails

##### `dsc_stasbypassduration`

Data type: `Optional[Integer[0, 4294967295]]`

Time before retrying a failed STA server (seconds)

##### `dsc_stasuseloadbalancing`

Data type: `Optional[Boolean]`

Load balance between the configured STA servers (requires two or more STA servers)

##### `dsc_subnetipaddress`

Data type: `Optional[String]`

IP address

##### `dsc_url`

Data type: `String`

NetScaler gateway Url

#### Parameters

The following parameters are available in the `dsc_sfgateway` type.

* [`dsc_name`](#dsc_name)
* [`dsc_psdscrunascredential`](#dsc_psdscrunascredential)
* [`name`](#name)
* [`validation_mode`](#validation_mode)

##### <a name="dsc_name"></a>`dsc_name`

namevar

Data type: `String`

NetScaler gateway display name

##### <a name="dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

### <a name="dsc_sfstore"></a>`dsc_sfstore`

The DSC SFStore resource type.
Automatically generated from version 0.9.6

#### Properties

The following properties are available in the `dsc_sfstore` type.

##### `dsc_authenticationservicevirtualpath`

Data type: `String`

Citrix Storefront Authentication Service IIS Virtual Path

##### `dsc_ensure`

Data type: `Optional[Enum['Present', 'Absent']]`

 

##### `dsc_friendlyname`

Data type: `Optional[String]`

Authentication service friendly name

##### `dsc_siteid`

Data type: `Optional[Integer[0, 18446744073709551615]]`

Citrix Storefront Site Id

#### Parameters

The following parameters are available in the `dsc_sfstore` type.

* [`dsc_psdscrunascredential`](#dsc_psdscrunascredential)
* [`dsc_virtualpath`](#dsc_virtualpath)
* [`name`](#name)
* [`validation_mode`](#validation_mode)

##### <a name="dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="dsc_virtualpath"></a>`dsc_virtualpath`

namevar

Data type: `String`

Citrix Storefront Store IIS Virtual Path

##### <a name="name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

### <a name="dsc_sfstorefarm"></a>`dsc_sfstorefarm`

The DSC SFStoreFarm resource type.
Automatically generated from version 0.9.6

#### Properties

The following properties are available in the `dsc_sfstorefarm` type.

##### `dsc_allfailedbypassduration`

Data type: `Optional[Integer[0, 4294967295]]`

Period of time to skip all xml service requests should all servers fail to respond

##### `dsc_bypassduration`

Data type: `Optional[Integer[0, 4294967295]]`

Period of time to skip a server when is fails to respond

##### `dsc_ensure`

Data type: `Optional[Enum['Present', 'Absent']]`

 

##### `dsc_farmtype`

Data type: `Enum['XenApp', 'XenDesktop', 'AppController', 'VDIinaBox']`

The hostnames or IP addresses of the xml services

##### `dsc_loadbalance`

Data type: `Optional[Boolean]`

Round robin load balance the xml service servers

##### `dsc_maxfailedserversperrequest`

Data type: `Optional[Integer[0, 4294967295]]`

Maximum number of servers within a single farm that can fail before aborting a request

##### `dsc_port`

Data type: `Optional[Integer[0, 4294967295]]`

Xml service communication port

##### `dsc_radetickettimetolive`

Data type: `Optional[Integer[0, 4294967295]]`

Period of time a RADE launch ticket is valid once requested on pre 7.0 XenApp and XenDesktop farms

##### `dsc_servers`

Data type: `Array[String]`

Citrix XenDesktop delivery controllers

##### `dsc_sslrelayserviceport`

Data type: `Optional[Integer[0, 4294967295]]`

Period of time to skip a server when is fails to respond

##### `dsc_tickettimetolive`

Data type: `Optional[Integer[0, 4294967295]]`

Period of time an ICA launch ticket is valid once requested on pre 7.0 XenApp and XenDesktop farms

##### `dsc_transporttype`

Data type: `Optional[Enum['HTTP', 'HTTPS', 'SSL']]`

Xml service transport type

#### Parameters

The following parameters are available in the `dsc_sfstorefarm` type.

* [`dsc_farmname`](#dsc_farmname)
* [`dsc_psdscrunascredential`](#dsc_psdscrunascredential)
* [`dsc_storevirtualpath`](#dsc_storevirtualpath)
* [`name`](#name)
* [`validation_mode`](#validation_mode)

##### <a name="dsc_farmname"></a>`dsc_farmname`

namevar

Data type: `String`

Farm display name

##### <a name="dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="dsc_storevirtualpath"></a>`dsc_storevirtualpath`

namevar

Data type: `String`

Storefront Store virtual path

##### <a name="name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

### <a name="dsc_sfstoreregistergateway"></a>`dsc_sfstoreregistergateway`

The DSC SFStoreRegisterGateway resource type.
Automatically generated from version 0.9.6

#### Properties

The following properties are available in the `dsc_sfstoreregistergateway` type.

##### `dsc_defaultgateway`

Data type: `Optional[Boolean]`

Use this Gateway as the default if more than one is associated to the Citrix Storefront Store

##### `dsc_ensure`

Data type: `Optional[Enum['Present', 'Absent']]`

 

##### `dsc_gateway`

Data type: `String`

Citrix Storefront Netscaler Gateway

##### `dsc_siteid`

Data type: `Optional[Integer[0, 65535]]`

Citrix Storefront Authentication Service IIS Site Id

##### `dsc_usefullvpn`

Data type: `Optional[Boolean]`

Use full VPN access when accessing the Citrix Storefront Store through this Gateway

#### Parameters

The following parameters are available in the `dsc_sfstoreregistergateway` type.

* [`dsc_psdscrunascredential`](#dsc_psdscrunascredential)
* [`dsc_storevirtualpath`](#dsc_storevirtualpath)
* [`name`](#name)
* [`validation_mode`](#validation_mode)

##### <a name="dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="dsc_storevirtualpath"></a>`dsc_storevirtualpath`

namevar

Data type: `String`

Citrix Storefront Authentication Service IIS Virtual Path

##### <a name="name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

### <a name="dsc_sfstorewebreceiver"></a>`dsc_sfstorewebreceiver`

The DSC SFStoreWebReceiver resource type.
Automatically generated from version 0.9.6

#### Properties

The following properties are available in the `dsc_sfstorewebreceiver` type.

##### `dsc_classicreceiver`

Data type: `Optional[Boolean]`

Use classic Web Receiver

##### `dsc_ensure`

Data type: `Optional[Enum['Present', 'Absent']]`

 

##### `dsc_siteid`

Data type: `Optional[Integer[0, 18446744073709551615]]`

Citrix Storefront Store Site Id

##### `dsc_virtualpath`

Data type: `Optional[String]`

Citrix Storefront Web Receiver IIS Virtual Path

#### Parameters

The following parameters are available in the `dsc_sfstorewebreceiver` type.

* [`dsc_psdscrunascredential`](#dsc_psdscrunascredential)
* [`dsc_storevirtualpath`](#dsc_storevirtualpath)
* [`name`](#name)
* [`validation_mode`](#validation_mode)

##### <a name="dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="dsc_storevirtualpath"></a>`dsc_storevirtualpath`

namevar

Data type: `String`

Citrix Storefront Store IIS Virtual Path

##### <a name="name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

